#!/bin/bash
VERSION_DRUIDE_INFOS="1.39"
CHEMIN_LOCAL="`pwd`"
LOCALE="$(locale | grep LANG= | cut -d= -f2 | cut -d_ -f1)"

if [ `command -v tar` ] ; then
	FICHIER_SORTIE="`pwd`/ResDruideInfos.tar"
fi

rm -f "$FICHIER_SORTIE"

##############################################

function pose_question_oui_non() #"Question FR", "Question EN" "retour"
{
	local -n r=$3
	
	eval questionFR="$1"
	eval questionEN="$2"
	if [ `command -v zenity` ]; then
		if [ $LOCALE == "fr" ]; then
			zenity --question --title="DruideInfos ${VERSION_DRUIDE_INFOS}" --text "$questionFR" --width=500 --ok-label="Oui" --cancel-label="Non" 2> >(grep -v 'GtkDialog' >&2)
			r=$?
		else
			zenity --question --title="DruideInfos ${VERSION_DRUIDE_INFOS}" --text "$questionEN" --width=500 --ok-label="Yes" --cancel-label="No" 2> >(grep -v 'GtkDialog' >&2)
			r=$?
		fi
	else
		echo -e
		if [ $LOCALE == "fr" ]; then
			echo -e $questionFR
			echo -e "[O/n]"
		else
			echo -e $questionEN
			echo -e "[Y/n]"
		fi
		read input
		if [ $? == 0 ]; then
			case $input in
				[yY][eE][sS]|[yY]|[oO][uU][iI]|[oO]|"")
					r=0
				;;
				[nN][oO]|[nN]|[nN][oO][nN])
					r=1
				;;
			esac
		else
			r=1
		fi
	fi
}

function pose_question_Maj() #"Question FR", "Question EN" "retour"
{
	local -n r=$3
	
	eval questionFR="$1"
	eval questionEN="$2"
	if [ `command -v zenity` ]; then
		if [ $LOCALE == "fr" ]; then
			zenity --question --title="DruideInfos ${VERSION_DRUIDE_INFOS}" --text "$questionFR" --width=500 --ok-label="Mettre à jour" --cancel-label="Ignorer" 2> >(grep -v 'GtkDialog' >&2)
			r=$?
		else
			zenity --question --title="DruideInfos ${VERSION_DRUIDE_INFOS}" --text "$questionEN" --width=500 --ok-label="Update" --cancel-label="Ignore" 2> >(grep -v 'GtkDialog' >&2)
			r=$?
		fi
	else
		echo -e
		if [ $LOCALE == "fr" ]; then
			echo -e $questionFR
			echo -e "[M/i]"
		else
			echo -e $questionEN
			echo -e "[U/i]"
		fi
		read input
		if [ $? == 0 ]; then
			case $input in
				[uU]|[mM]|"")
					r=0
				;;
				[iI])
					r=1
				;;
			esac
		else
			r=1
		fi
	fi
}

affiche_message_dans_locale_avec_bouton_continuer() #"Message Fr" "Message En"
{
	eval chaineFR="$1"
	eval chaineEN="$2"
	if [ `command -v zenity` ]; then
		if [ $LOCALE == "fr" ]; then
			zenity --info --title="DruideInfos ${VERSION_DRUIDE_INFOS}" --text "$chaineFR" --width=500 --ok-label="Continuer" 2> >(grep -v 'GtkDialog' >&2) 
		else
			zenity --info --title="DruideInfos ${VERSION_DRUIDE_INFOS}" --text "$chaineEN" --width=500 --ok-label="Continue" 2> >(grep -v 'GtkDialog' >&2) 
		fi
	else
	echo -e
		if [ $LOCALE == "fr" ]; then
			echo -e $chaineFR
		else
			echo -e $chaineEN
		fi
	fi
}

affiche_message_dans_locale () #"Message Fr" "Message En"
{
	eval chaineFR="$1"
	eval chaineEN="$2"
	if [ `command -v zenity` ]; then
		if [ $LOCALE == "fr" ]; then
			zenity --info --title="DruideInfos ${VERSION_DRUIDE_INFOS}" --text "$chaineFR" --width=500 2> >(grep -v 'GtkDialog' >&2) 
		else
			zenity --info --title="DruideInfos ${VERSION_DRUIDE_INFOS}" --text "$chaineEN" --width=500 2> >(grep -v 'GtkDialog' >&2) 
		fi
	else
	echo -e
		if [ $LOCALE == "fr" ]; then
			echo -e $chaineFR
		else
			echo -e $chaineEN
		fi
	fi
}

##############################################
# Chaine de messages
msgGeneRapportFR="Génération d'un rapport DruideInfos.\n\nCette opération peut prendre plusieurs minutes."
msgGeneRapportEN="Generating a DruideInfos report.\n\nThis operation can take several minutes."

msgErreurDossierTmpFR="Erreur fatale : Impossible d\'écrire dans le dossier /tmp, ni dans le dossier /var/tmp.\n\nCe script a besoin d\'accéder à un dossier temporaire pour son bon fonctionnement."
msgErreurDossierTmpEN="Fatal error: Cannot write in the /tmp folder or the/var/tmp folder.\n\nThis script needs access to a temporary folder to work correctly."

msgErreurCompressionFR="Erreur fatale : Aucun utilitaire n'est disponible pour effectuer la compression."
msgErreurCompressionEN="Fatal error: No utility is available to perform the compression."

msgFinRapportFR="Rapport complété.\n\nLe fichier ${FICHIER_SORTIE} a été créé.\n\nVeuillez nous faire parvenir ce fichier par courrier électronique.\n\nNote: l’information transmise décrit l'environnement informatique dans lequel Antidote est installé (système d’exploitation, type de matériel, logiciels avec lesquels il est utilisé, etc.) ou la façon dont Antidote est configuré (réglages, dictionnaires personnels, etc.). Ces renseignements sont nécessaires pour donner suite à votre requête d'assistance technique et seront utilisés strictement dans ce but."
msgFinRapportEN="Report complete.\n\nThe ${FICHIER_SORTIE} file has been created.\n\nPlease email it to us.\n\nNote: the information transmitted describes the computer environment in which Antidote is installed (operating system, hardware, software with which it is used, etc.) or Antidote's configuration (settings, personal dictionaries, etc.). These details are required to follow up on your technical support request and their use is strictly limited to this purpose."

questionDicoPersoFR="Afin d'améliorer le diagnostic, le rapport peut inclure les dictionnaires personnels d'Antidote ainsi que des rapports de plantage.\n\nPermettez-vous l'inclusion de cette information dans le rapport?"
questionDicoPersoEN="In order to improve diagnosis, the report can include Antidote's personal dictionaries and crash logs.\n\nWill you allow this information to be included in the report?"

questionMaJDisponibleFR="Des mises à jour disponibles ont été détectés.\n\nNous vous suggérons d'appliquer toutes les mises à jour avant de poursuivre.\n\n« Mettre à jour » (M) interrompt ce rapport DruideInfo.\n\nSi la mise à jour de s'applique pas, sélectionner « Ignorer » (I)"
questionMaJDisponibleEN="Updates are available.\n\nWe suggest that you apply all available updates.\n\n« Update » (U) will stop the generation of this report.\n\nIf the update can't be applied, select « Ignore » (I)"
##############################################
if [ -z `command -v zenity` ]; then
	affiche_message_dans_locale_avec_bouton_continuer "\${msgGeneRapportFR}" "\${msgGeneRapportEN}"
fi
##Vérification de MaJ disponible avec l'AT.
emplacementAT=`grep -oP  '(?<=DossierV6=).*$' /etc/druide.conf`
emplacementAT="${emplacementAT}/AssistantTelechargement"

${emplacementAT} --DruideInfos &>/dev/null
retourAT=$? #Retourne 127 si l'AT n'est pas trouvé


ATValide=1

case $retourAT in
	0) #kChaineRetourServeurATClientAJour
	;;
	10) #kChaineRetourServeurATInvalide
	;;
	20) #kChaineRetourServeurATInternetIndisponible
	;;
	30|31) #kChaineRetourServeurATClientPasAJour | kChaineRetourServeurATMAJMasquay
		pose_question_Maj "\${questionMaJDisponibleFR}" "\${questionMaJDisponibleEN}" verifieMAJ
		if [ $verifieMAJ != 1 ]; then
			${emplacementAT}
			exit
		fi
	;;
	127) #Erreur, AT non trouvé
		ATValide=0
	;;
esac	
	

pose_question_oui_non "\${questionDicoPersoFR}" "\${questionDicoPersoEN}" DicoPersoInclus

FICHIER_TMP=/tmp/DruideInfos

>$FICHIER_TMP
if [ ! -w $FICHIER_TMP ] ; then
	FICHIER_TMP=/var/tmp/DruideInfos
	>$FICHIER_TMP
	if [ ! -w $FICHIER_TMP ] ; then
		FICHIER_TMP=${HOME}/.DruideInfos
		>$FICHIER_TMP
		if [ ! -w $FICHIER_TMP ] ; then
			affiche_message_dans_locale "\${msgErreurDossierTmpFR}" "\${msgErreurDossierTmpEN}"
			exit 2
		fi
	fi
fi

FICHIER_SORTIE_TMP="`dirname $FICHIER_TMP`/ResDruideInfo.txt"

case "`uname -m`" in
	"x86_64" | "amd64" )
		ARCH=64
		SOMMAIRE_ARCHITECTURE="64 bits"
	;;
	"i386" | "i486" | "i586" | "i686" | "x86" )
		ARCH=32
		SOMMAIRE_ARCHITECTURE="32 bits - Non compatible avec Antidote 10"
	;;
	* )
		ARCH=""
		SOMMAIRE_ARCHITECTURE="???"
	;;
esac

ListeFichiers()
{
	DOSSIER_COURANT=`pwd`
	cd "$1"

	echo Contenu du dossier `pwd` >> $FICHIER_TMP 2>&1
	find . -type f | while read fichier ; do
		LIGNE="`ls -l \"${fichier}\"`"
		echo $LIGNE >> $FICHIER_TMP 2>&1
	done

	cd "$DOSSIER_COURANT"
	echo "-----" >> $FICHIER_TMP 2>&1
}

ListeDetailleeFichiers()
{
	DOSSIER_COURANT=`pwd`
	cd "$1"

	echo Contenu du dossier `pwd` >> $FICHIER_TMP 2>&1
	find . -type f | while read fichier ; do
		LIGNEMD5=""
		if which md5sum >/dev/null 2>&1 ; then
			LIGNEMD5=`md5sum "$fichier" | awk '{print $1}'`
		elif which openssl >/dev/null 2>&1 ; then
			LIGNEMD5=`openssl dgst -md5 "$fichier"`
		fi
		LIGNE="`ls -l \"${fichier}\"`"


		echo -n $LIGNE >> $FICHIER_TMP 2>&1
		echo "				md5sum : $LIGNEMD5" >> $FICHIER_TMP 2>&1
		
	done
	cd "$DOSSIER_COURANT"
	echo "-----" >> $FICHIER_TMP 2>&1
}


ListeFichiersOffice()
{
DOSSIER_OFFICE=$1
NOM=$2

echo "------------------" >> $FICHIER_TMP 2>&1
echo "Version Office : $NOM" >> $FICHIER_TMP 2>&1
echo Dossier OOo : $DOSSIER_OFFICE >> $FICHIER_TMP 2>&1

if [[ -n $DOSSIER_OFFICE && -d $DOSSIER_OFFICE ]] ; then
	for fichier in `find "$DOSSIER_OFFICE" -name lib*Antidote*.so` ; do
		echo ldd $fichier >> $FICHIER_TMP 2>&1
		ldd $fichier >> $FICHIER_TMP 2>&1
		echo "-----" >> $FICHIER_TMP 2>&1
	done

	find $DOSSIER_OFFICE -name \*ntidote\* -type d | while read dossier ; do
		ListeFichiers "$dossier"
	done
fi
}


function python_JSON
{
PYTH=`which python`
if [[ -n $PYTH ]];then
python <<EOF
# -*- coding: utf-8 -*-
import json
unFichier = open("${1}","r")
unJsonTmp = ""
try:
	for uneLigne in unFichier :
		if uneLigne[0:2] != "//":
			if len(uneLigne) == 1:
				unJsonTmp = unJsonTmp + uneLigne
			else:
				unJsonTmp = unJsonTmp + uneLigne[:-1]
	unFichier.close()
	#print unJsonTmp
	unJsonMap = json.loads(unJsonTmp)

	if "${3}" == "0":
		print unJsonMap["${2}"]
	else:
		print unJsonMap["${3}"]["${2}"]
except:
	print "inexistant"
EOF
fi
}

################################################################################
# Info sur DruideInfos
echo DruideInfos ${VERSION_DRUIDE_INFOS} >> "$FICHIER_SORTIE_TMP"
if which md5sum >/dev/null 2>&1 ; then
	md5sum $0 >> "$FICHIER_SORTIE_TMP"
elif which openssl >/dev/null 2>&1 ; then
	openssl dgst -md5 $0 >> "$FICHIER_SORTIE_TMP"
fi

date +%FT%T%z >> "$FICHIER_SORTIE_TMP"

################################################################################
# Info sur la distribution

echo >> $FICHIER_TMP 2>&1
echo "**************************************** Distribution ****************************************" >> $FICHIER_TMP 2>&1
uname -msrv >> $FICHIER_TMP 2>&1
echo "-----" >> $FICHIER_TMP 2>&1

if which lsb_release >/dev/null 2>&1 ; then
	lsb_release -a >> $FICHIER_TMP 2>&1
	SOMMAIRE_DISTRO1=`lsb_release -sd`
	echo "-----" >> $FICHIER_TMP 2>&1
fi

FICHIERS_RELEASE="/etc/annvix-release /etc/arch-release /etc/arklinux-release /etc/aurox-release /etc/blackcat-release /etc/cobalt-release /etc/conectiva-release /etc/debian_release /etc/debian_version /etc/e-smith-release /etc/fedora-release /etc/gentoo-release /etc/immunix-release /etc/lfs-release /etc/linuxppc-release /etc/lsb-release /etc/mandakelinux-release /etc/mandrake-release /etc/mandriva-release /etc/mklinux-release /etc/nld-release /etc/novell-release /etc/pld-release /etc/redhat-release /etc/redhat_version /etc/release /etc/slackware-release /etc/slackware-version /etc/sles-release /etc/sun-release /etc/SuSE-release /etc/tinysofa-release /etc/turbolinux-release /etc/ultrapenguin-release /etc/UnitedLinux-release /etc/va-release /etc/yellowdog-release"

for fichier in $FICHIERS_RELEASE ; do
	if [ -f $fichier ] ; then
		echo $fichier >> $FICHIER_TMP 2>&1
		cat $fichier >> $FICHIER_TMP 2>&1
		if grep DISTRIB_DESCRIPTION $fichier >/dev/null 2>&1 ; then
			SOMMAIRE_DISTRO2="${SOMMAIRE_DISTRO2} `grep DISTRIB_DESCRIPTION $fichier | sed -e 's/^.*=//'`"
		else
			SOMMAIRE_DISTRO2="${SOMMAIRE_DISTRO2} (`basename $fichier`) `cat $fichier | tr \\n \#`"
		fi
		echo "-----" >> $FICHIER_TMP 2>&1
	fi
done

################################################################################
# Info sur la configuration système

echo >> $FICHIER_TMP 2>&1
echo "**************************************** Configuration système ****************************************" >> $FICHIER_TMP 2>&1
echo "Environnement :" >> $FICHIER_TMP 2>&1
env >> $FICHIER_TMP 2>&1
echo "-----" >> $FICHIER_TMP 2>&1

################################################################################
# Info sur D-Bus et le quota

echo >> $FICHIER_TMP 2>&1
echo "**************************************** D-Bus ****************************************" >> $FICHIER_TMP 2>&1
ps aux | grep dbus >> $FICHIER_TMP 2>&1

echo "--------------------" >> $FICHIER_TMP 2>&1
CHEMIN_DBUS="/etc/dbus-1/system.d"
if [ -d $CHEMIN_DBUS ] ; then
	echo "Fichiers Antidote dans le dossier $CHEMIN_DBUS" >> $FICHIER_TMP 2>&1
	ls -l $CHEMIN_DBUS 2>&1 | grep [Aa]ntidote >> $FICHIER_TMP 2>&1
	echo "--------------------" >> $FICHIER_TMP 2>&1
	if [ -f $CHEMIN_DBUS/antidote.conf ] ; then
		echo "Contenu du fichier $CHEMIN_DBUS/antidote.conf" >> $FICHIER_TMP 2>&1
		cat $CHEMIN_DBUS/antidote.conf >> $FICHIER_TMP 2>&1
	fi

	if [ -f $CHEMIN_DBUS/antidote7.conf ] ; then
		echo "Contenu du fichier $CHEMIN_DBUS/antidote7.conf" >> $FICHIER_TMP 2>&1
		cat $CHEMIN_DBUS/antidote7.conf >> $FICHIER_TMP 2>&1
	fi
else
	echo "Dossier dbus $CHEMIN_DBUS absent" >> $FICHIER_TMP 2>&1
fi

echo "Services Session de Druide" >> $FICHIER_TMP 2>&1
dbus-send --session --dest=org.freedesktop.DBus --type=method_call --print-reply /org/freedesktop/DBus org.freedesktop.DBus.ListNames | grep com.druide >> $FICHIER_TMP 2>&1

echo "Services System de Druide" >> $FICHIER_TMP 2>&1
dbus-send --system --dest=org.freedesktop.DBus --type=method_call --print-reply /org/freedesktop/DBus org.freedesktop.DBus.ListNames | grep com.druide >> $FICHIER_TMP 2>&1

echo "--------------------" >> $FICHIER_TMP 2>&1
echo "Liste des processus d'Antidote" >> $FICHIER_TMP 2>&1
ps aux | grep [Aa]ntidote >> $FICHIER_TMP 2>&1


################################################################################
# Info sur XDG
echo >> $FICHIER_TMP 2>&1
echo "**************************************** XDG ****************************************" >> $FICHIER_TMP 2>&1
if [ -d /etc/xdg/menus/applications-merged ] ; then
	echo "Contenu du dossier /etc/xdg/menus/applications-merged" >> $FICHIER_TMP 2>&1
	ls -l /etc/xdg/menus/applications-merged >> $FICHIER_TMP 2>&1
fi

################################################################################
# Info sur snap
echo >> $FICHIER_TMP 2>&1
echo "************************************** Snap List **************************************" >> $FICHIER_TMP 2>&1
snap list >> $FICHIER_TMP 2>&1

################################################################################
# Info sur snap
echo >> $FICHIER_TMP 2>&1
echo "************************************** Flatpak List **************************************" >> $FICHIER_TMP 2>&1
flatpak list >> $FICHIER_TMP 2>&1



################################################################################
# Info sur l'espace disque
echo >> $FICHIER_TMP 2>&1
echo "************************************** Espace disque **************************************" >> $FICHIER_TMP 2>&1
df -h >> $FICHIER_TMP 2>&1
################################################################################
# Info diverse sur l'emplacement de certains programmes
echo "**************************************** Divers ****************************************" >> $FICHIER_TMP 2>&1
echo "Emplacement de certains binaires (entre autres, les utilitaires d'élévation de privilèges)" >> $FICHIER_TMP 2>&1
which which >> $FICHIER_TMP 2>&1
which rm >> $FICHIER_TMP 2>&1
which tar >> $FICHIER_TMP 2>&1
which ln >> $FICHIER_TMP 2>&1
which bash >> $FICHIER_TMP 2>&1
which xdg-icon-resource >> $FICHIER_TMP 2>&1
which xdg-desktop-menu >> $FICHIER_TMP 2>&1
which xdg-open >> $FICHIER_TMP 2>&1
which gksu >> $FICHIER_TMP 2>&1
which gksudo >> $FICHIER_TMP 2>&1
which gnomesu >> $FICHIER_TMP 2>&1
which gtksu >> $FICHIER_TMP 2>&1
which kdesu >> $FICHIER_TMP 2>&1
which kdesudo >> $FICHIER_TMP 2>&1
which beesu >> $FICHIER_TMP 2>&1
which su >> $FICHIER_TMP 2>&1
which sudo >> $FICHIER_TMP 2>&1
which wget >> $FICHIER_TMP 2>&1
which python >> $FICHIER_TMP 2>&1
which pkexec >> $FICHIER_TMP 2>&1


################################################################################
# Info sur les paquets installés

##########
# Ubuntu

if which dpkg-query 1>/dev/null 2>&1 ; then
	echo >> $FICHIER_TMP 2>&1
	echo "-------------------- Paquets installés: uno-libs3, ibus, office --------------------" >> $FICHIER_TMP 2>&1
	dpkg --get-selections | egrep 'uno-libs3|ibus|office' >> $FICHIER_TMP 2>&1
fi

##########
# Fedora

if which yum 1>/dev/null 2>&1 ; then
	echo >> $FICHIER_TMP 2>&1
	echo "**************************************** Paquets installés ****************************************" >> $FICHIER_TMP 2>&1
	yum list installed | grep -v '^ ' | awk '{print $1}' >> $FICHIER_TMP 2>&1
fi

################################################################################
# Info sur Antidote

echo >> $FICHIER_TMP 2>&1
echo "**************************************** Antidote ****************************************" >> $FICHIER_TMP 2>&1
if [ -f /etc/antidote.conf ] ; then
	echo "/etc/antidote.conf" >> $FICHIER_TMP 2>&1
	cat /etc/antidote.conf >> $FICHIER_TMP 2>&1
	echo "-----" >> $FICHIER_TMP 2>&1

	sed -e '0,/\[Antidote7/ d' -ne '/Antidote\\Repertoire=/p' /etc/antidote.conf | head -1 | sed -e 's/^.*=//' > ${FICHIER_TMP}.1
	DOSSIER_ANTIDOTE7=`cat ${FICHIER_TMP}.1`
	sed -e '0,/\[Antidote8/ d' -ne '/enregistrement\\Repertoire=/p' /etc/antidote.conf | head -1 | sed -e 's/^.*=//' > ${FICHIER_TMP}.2
	DOSSIER_ANTIDOTE8=`cat ${FICHIER_TMP}.2`
	sed -e '0,/\[Antidote9/ d' -ne '/enregistrement\\Repertoire=/p' /etc/antidote.conf | head -1 | sed -e 's/^.*=//' > ${FICHIER_TMP}.3
	DOSSIER_ANTIDOTE9=`cat ${FICHIER_TMP}.3`
else
	echo "/etc/antidote.conf INTROUVABLE" >> $FICHIER_TMP 2>&1
fi

################################################################################
# Info sur Connectix
SOMMAIRE_VERSION_CONNECTIX=""
DOSSIER_CONNECTIX11=/opt/Druide/Connectix11
DOSSIER_CONNECTIX10=/opt/Druide/Connectix10
if [ -d "${DOSSIER_CONNECTIX11}" ] && [ -x "${DOSSIER_CONNECTIX11}/Application/Bin/Connectix" ] ; then
	echo "Version Connectix" >> $FICHIER_TMP 2>&1
	cat "${DOSSIER_CONNECTIX11}/Application/Bin/version.dat" >> $FICHIER_TMP 2>&1
	echo ${DOSSIER_CONNECTIX11} >> $FICHIER_TMP 2>&1
	ListeDetailleeFichiers "${DOSSIER_CONNECTIX11}"
	SOMMAIRE_VERSION_CONNECTIX=`cat ${DOSSIER_CONNECTIX11}/Application/Bin/version.dat | grep version= | sed -n "/version=/s/version=//p"`

elif [ -d "${DOSSIER_CONNECTIX10}" ] && [ -x "${DOSSIER_CONNECTIX10}/Application/Bin/Connectix" ] ; then
	echo "Version Connectix" >> $FICHIER_TMP 2>&1
	cat "${DOSSIER_CONNECTIX10}/Application/Bin/version.dat" >> $FICHIER_TMP 2>&1
	echo ${DOSSIER_CONNECTIX10} >> $FICHIER_TMP 2>&1
	ListeDetailleeFichiers "${DOSSIER_CONNECTIX10}"
	SOMMAIRE_VERSION_CONNECTIX=`cat ${DOSSIER_CONNECTIX10}/Application/Bin/version.dat | grep version= | sed -n "/version=/s/version=//p"`

fi
################################################################################

DOSSIER_ANTIDOTE10=/opt/Druide/Antidote10
if [ -d "${DOSSIER_ANTIDOTE10}" ] && [ -x "${DOSSIER_ANTIDOTE10}/Application/Bin/Antidote10" ] ; then
	SOMMAIRE_VERSION_ANTIDOTE=`"${DOSSIER_ANTIDOTE10}/Application/Bin/Antidote10" --version`
	echo "${SOMMAIRE_VERSION_ANTIDOTE}" >> $FICHIER_TMP 2>&1
	
	echo "Version Antidote" >> $FICHIER_TMP 2>&1
	cat "${DOSSIER_ANTIDOTE10}/Application/Bin/version.dat" >> $FICHIER_TMP 2>&1
	echo "Version LingEN" >> $FICHIER_TMP 2>&1
	cat "${DOSSIER_ANTIDOTE10}/LingEN/Bin/version.dat" >> $FICHIER_TMP 2>&1
	echo "Version LingFR" >> $FICHIER_TMP 2>&1
	cat "${DOSSIER_ANTIDOTE10}/LingFR/Bin/version.dat" >> $FICHIER_TMP 2>&1
	echo "-----" >> $FICHIER_TMP 2>&1
	echo ${DOSSIER_ANTIDOTE10} >> $FICHIER_TMP 2>&1
	ListeDetailleeFichiers "${DOSSIER_ANTIDOTE10}"

	# 	find "$DOSSIER_ANTIDOTE" -type f -executable | while read fichier ; do
	for fichier in `find "$DOSSIER_ANTIDOTE10" -type f -executable` ; do
		echo ldd "$fichier" >> $FICHIER_TMP 2>&1
		ldd "$fichier" >> $FICHIER_TMP 2>&1
		echo "-----" >> $FICHIER_TMP 2>&1
	done
	
	DOSSIER_ANTIDOTE=${DOSSIER_ANTIDOTE10}

elif [ -v DOSSIER_ANTIDOTE9 ] && [ -d "${DOSSIER_ANTIDOTE9}" ] && [ -x "${DOSSIER_ANTIDOTE9}/Application/Bin${ARCH}/Antidote9" ] ; then
	SOMMAIRE_VERSION_ANTIDOTE=`"${DOSSIER_ANTIDOTE9}/Application/Bin${ARCH}/Antidote9" --version`
	echo "${SOMMAIRE_VERSION_ANTIDOTE}" >> $FICHIER_TMP 2>&1
	
	echo ${DOSSIER_ANTIDOTE9} >> $FICHIER_TMP 2>&1
	ListeDetailleeFichiers "${DOSSIER_ANTIDOTE9}"

	# 	find "$DOSSIER_ANTIDOTE" -type f -executable | while read fichier ; do
	for fichier in `find "$DOSSIER_ANTIDOTE9" -type f -executable` ; do
		echo ldd "$fichier" >> $FICHIER_TMP 2>&1
		ldd "$fichier" >> $FICHIER_TMP 2>&1
		echo "-----" >> $FICHIER_TMP 2>&1
	done
	DOSSIER_ANTIDOTE=${DOSSIER_ANTIDOTE9}

	DOSSIER_USRBINDRUIDE="/usr/bin/Druide/${ARCH}"
	ls -l ${DOSSIER_USRBINDRUIDE} >> $FICHIER_TMP 2>&1
	DOSSIER_USRBINDRUIDE="${DOSSIER_USRBINDRUIDE}/Librairies"
	ListeDetailleeFichiers "${DOSSIER_USRBINDRUIDE}"
elif [ -v DOSSIER_ANTIDOTE8 ] && [ -d "${DOSSIER_ANTIDOTE8}" ] && [ -x "${DOSSIER_ANTIDOTE8}/Programmes${ARCH}/Antidote8" ] ; then
	SOMMAIRE_VERSION_ANTIDOTE=`"${DOSSIER_ANTIDOTE8}/Programmes${ARCH}/Antidote8" --version`
	echo "${SOMMAIRE_VERSION_ANTIDOTE}" >> $FICHIER_TMP 2>&1
	
	echo ${DOSSIER_ANTIDOTE8} >> $FICHIER_TMP 2>&1
	ListeDetailleeFichiers "${DOSSIER_ANTIDOTE8}"

	# 	find "$DOSSIER_ANTIDOTE" -type f -executable | while read fichier ; do
	for fichier in `find "$DOSSIER_ANTIDOTE8" -type f -executable` ; do
		echo ldd "$fichier" >> $FICHIER_TMP 2>&1
		ldd "$fichier" >> $FICHIER_TMP 2>&1
		echo "-----" >> $FICHIER_TMP 2>&1
	done
	DOSSIER_ANTIDOTE=${DOSSIER_ANTIDOTE8}
elif [ -v DOSSIER_ANTIDOTE7 ] && [ -d "${DOSSIER_ANTIDOTE7}" ] && [ -x "${DOSSIER_ANTIDOTE7}/Programmes${ARCH}/Antidote7_${ARCH}" ] ; then
	SOMMAIRE_VERSION_ANTIDOTE=`"${DOSSIER_ANTIDOTE7}/Programmes${ARCH}/Antidote7_${ARCH}" --version`
	echo "${SOMMAIRE_VERSION_ANTIDOTE}" >> $FICHIER_TMP 2>&1
	
	echo ${DOSSIER_ANTIDOTE7} >> $FICHIER_TMP 2>&1
	ListeDetailleeFichiers "${DOSSIER_ANTIDOTE7}"

	# 	find "$DOSSIER_ANTIDOTE" -type f -executable | while read fichier ; do
	for fichier in `find "$DOSSIER_ANTIDOTE7" -type f -executable` ; do
		echo ldd "$fichier" >> $FICHIER_TMP 2>&1
		ldd "$fichier" >> $FICHIER_TMP 2>&1
		echo "-----" >> $FICHIER_TMP 2>&1
	done
	DOSSIER_ANTIDOTE=${DOSSIER_ANTIDOTE7}
fi


################################################################################
# Contenu du fichier 99AgentAntidote
echo >> $FICHIER_TMP 2>&1
echo "----- 99AgentAntidote7 -----" >> $FICHIER_TMP 2>&1
echo >> $FICHIER_TMP 2>&1
if [ -f /etc/X11/Xsession.d/99AgentAntidote7 ] ; then
	cat /etc/X11/Xsession.d/99AgentAntidote7 >> $FICHIER_TMP 2>&1
elif [ -f /etc/X11/xinit/xinitrc.d/99AgentAntidote7 ] ; then
	cat /etc/X11/xinit/xinitrc.d/99AgentAntidote7 >> $FICHIER_TMP 2>&1
elif [ -f /etc/X11/xinit.d/99AgentAntidote7 ] ; then
	cat /etc/X11/xinit.d/99AgentAntidote7 >> $FICHIER_TMP 2>&1
fi

echo >> $FICHIER_TMP 2>&1
echo "----- Contournements -----" >> $FICHIER_TMP 2>&1
if [ -f ${DOSSIER_ANTIDOTE}/Donnees/Configuration/Contournement.conf ] ; then
	cat ${DOSSIER_ANTIDOTE}/Donnees/Configuration/Contournement.conf >> $FICHIER_TMP 2>&1
fi

echo >> $FICHIER_TMP 2>&1
echo "----- LDCONFIG -----" >> $FICHIER_TMP 2>&1
echo "Contenu du fichier /etc/ld.so.conf.d/antidote7.conf" >> $FICHIER_TMP 2>&1
cat /etc/ld.so.conf.d/antidote7.conf >> $FICHIER_TMP 2>&1

echo >> $FICHIER_TMP 2>&1
echo "----- druide.conf -----" >> $FICHIER_TMP 2>&1
if [ -f /etc/druide.conf ] ; then
	cat /etc/druide.conf >> $FICHIER_TMP 2>&1
fi

echo >> $FICHIER_TMP 2>&1
echo "----- .xsession-errors -----" >> $FICHIER_TMP 2>&1
if [ -f ${HOME}/.xsession-errors ] ; then
	cat ${HOME}/.xsession-errors >> $FICHIER_TMP 2>&1
fi

if [ -d ${DOSSIER_ANTIDOTE}/../Utilitaires ] ; then
	echo >> $FICHIER_TMP 2>&1
	echo "---------- Assistant de telechargement ----------" >> $FICHIER_TMP 2>&1
	ListeDetailleeFichiers  "${DOSSIER_ANTIDOTE}/../Utilitaires"
fi

################################################################################
# Info sur les paquets installés

if which yum 1>/dev/null 2>&1 ; then
	if which rpm 1>/dev/null 2>&1 ; then
		echo >> $FICHIER_TMP 2>&1
		echo "**************************************** Paquets ****************************************" >> $FICHIER_TMP 2>&1
		yum search openoffice.org | grep ^openoffice | awk '{print $1}' | while read paquet ; do rpm --query $paquet >> $FICHIER_TMP 2>&1 ; done
	fi
fi


################################################################################
# Info sur les texteurs

echo >> $FICHIER_TMP 2>&1
echo "**************************************** Texteurs ****************************************" >> $FICHIER_TMP 2>&1

########################################
# OpenOffice.org
echo >> $FICHIER_TMP 2>&1
echo "----- OpenOffice.org -----" >> $FICHIER_TMP 2>&1

if [ -d $HOME/.antidote/7.0/Extensions/lib/ ] ; then
	LIENSYM=`ls -l $HOME/.antidote/7.0/Extensions/lib/`
	echo "lien symbolique vers la librairie openoffice : " >> $FICHIER_TMP 2>&1
	echo $LIENSYM  >> $FICHIER_TMP 2>&1
	echo "-----" >> $FICHIER_TMP 2>&1
	echo >> $FICHIER_TMP 2>&1
fi

if which unopkg >/dev/null 2>&1 ; then
	echo unopkg list >> $FICHIER_TMP 2>&1
	unopkg list >> $FICHIER_TMP 2>&1
	echo "-----" >> $FICHIER_TMP 2>&1
	SOMMAIRE_VERSION_EXTENSION_OOO=`unopkg list 2>/dev/null | sed '0,/Identifier: com\.druide\.texteurs/ d' | grep Version | head -1`
fi

FICHIER_OOO_VERSIONRC=`find /usr/lib -path \*office\*/program/versionrc 2>/dev/null | grep -v basis`
if [[ -z "${FICHIER_OOO_VERSIONRC}" ]] ; then
	FICHIER_OOO_VERSIONRC=`find /usr/lib64 -path \*office\*/program/versionrc 2>/dev/null | grep -v basis`
fi

SOMMAIRE_VERSION_OOO=""

SOFFICEFICHIER=`which soffice`
if [ -x $SOFFICEFICHIER ]; then
	SOMMAIRE_VERSION_OOO=`soffice --version`
fi


if [ -d "${HOME}/.openoffice.org" ] ; then
	ListeFichiersOffice "${HOME}/.openoffice.org" "OpenOffice.org"
fi
if [ -d "${HOME}/.openoffice.org3" ] ; then
	ListeFichiersOffice "${HOME}/.openoffice.org3" "OpenOffice.org3"
fi
if [ -d "${HOME}/.openoffice.org2" ] ; then
	ListeFichiersOffice "${HOME}/.openoffice.org2" "OpenOffice.org2"
fi
if [ -d "${HOME}/.ooo3" ] ; then
	ListeFichiersOffice "${HOME}/.ooo3" "OpenOffice.org3"
fi
if [ -d "${HOME}/.ooo2" ] ; then
	ListeFichiersOffice "${HOME}/.ooo2" "OpenOffice.org2"
fi
if [ -d "${HOME}/.ooo" ] ; then
	ListeFichiersOffice "${HOME}/.ooo" "OpenOffice.org"
fi
if [ -d "${HOME}/.libreoffice" ] ; then
	ListeFichiersOffice "${HOME}/.libreoffice" "LibreOffice"
fi
if [ -d "${HOME}/.congif/libreoffice" ] ; then
	ListeFichiersOffice "${HOME}/.config/libreoffice" "LibreOffice"
fi

########################################
# Firefox
echo >> $FICHIER_TMP 2>&1
echo "----- Firefox -----" >> $FICHIER_TMP 2>&1

DOSSIER_MOZILLA=""
if [ -d "${HOME}/.mozilla/firefox" ] ; then
	DOSSIER_MOZILLA="${HOME}/.mozilla/firefox"
elif [ -d "${HOME}/.mozilla-firefox" ] ; then
	DOSSIER_MOZILLA="${HOME}/.mozilla-firefox"
elif [ -d "${HOME}/.mozilla_firefox" ] ; then
	DOSSIER_MOZILLA="${HOME}/.mozilla_firefox"
elif [ -d "${HOME}/.firefox" ] ; then
	DOSSIER_MOZILLA="${HOME}/.firefox"
fi

echo Dossier Firefox : $DOSSIER_MOZILLA >> $FICHIER_TMP 2>&1

if [[ -n "${DOSSIER_MOZILLA}" ]] ; then
	echo find "$DOSSIER_MOZILLA" -name lib*Antidote*.so -exec ldd {} \; >> $FICHIER_TMP 2>&1
	find "$DOSSIER_MOZILLA" -name lib*Antidote*.so -exec ldd {} \; >> $FICHIER_TMP 2>&1
	echo "-----" >> $FICHIER_TMP 2>&1

	find "$DOSSIER_MOZILLA" -path \*extensions/antidote\*druide.com\* -type d | while read dossier ; do
		ListeFichiers "$dossier"
		echo -e $dossier
	done
	
	regex='{"id":"antidote.+?"version":"[^"]*'
	subregex='(?<="version":").*'
	while read fichier ; do
		SOMMAIRE_VERSION_EXTENSION_FIREFOX=$(grep -oP ${regex} ${fichier} | grep -oP ${subregex})
	done <<<$(find "$DOSSIER_MOZILLA" -path \*extensions.json)

	if [ "`find $DOSSIER_MOZILLA -name extensions -type d`" ] ; then
		ls `find $DOSSIER_MOZILLA -name extensions -type d` >> $FICHIER_TMP 2>&1
	else
		echo "Dossier d'extensions introuvable dans $DOSSIER_MOZILLA" >> $FICHIER_TMP 2>&1
	fi
fi
SOMMAIRE_VERSION_FIREFOX=""

FirefoxFichier=`which firefox`
if [ -x $FirefoxFichier ]; then
	SOMMAIRE_VERSION_FIREFOX=`firefox --version`
fi


########################################
# Thunderbird
echo >> $FICHIER_TMP 2>&1
echo "----- Thunderbird -----" >> $FICHIER_TMP 2>&1

DOSSIER_MOZILLA=""
if [ -d "${HOME}/.thunderbird" ] ; then
	DOSSIER_MOZILLA="${HOME}/.thunderbird"
elif [ -d "${HOME}/.mozilla-thunderbird" ] ; then
	DOSSIER_MOZILLA="${HOME}/.mozilla-thunderbird"
elif [ -d "${HOME}/.mozilla_thunderbird" ] ; then
	DOSSIER_MOZILLA="${HOME}/.mozilla_thunderbird"
fi

echo Dossier Thunderbird : $DOSSIER_MOZILLA >> $FICHIER_TMP 2>&1

if [[ -n $DOSSIER_MOZILLA ]] ; then
	echo find "$DOSSIER_MOZILLA" -name lib*Antidote*.so -exec ldd {} \; >> $FICHIER_TMP 2>&1
	find "$DOSSIER_MOZILLA" -name lib*Antidote*.so -exec ldd {} \; >> $FICHIER_TMP 2>&1
	echo "-----" >> $FICHIER_TMP 2>&1

	find $DOSSIER_MOZILLA -path \*extensions/antidote\*druide.com\* -type d | while read dossier ; do
		ListeFichiers "$dossier"
	done
	
	regex='{"id":"antidote.+?"version":"[^"]*'
	subregex='(?<="version":").*'
	while read fichier ; do
		SOMMAIRE_VERSION_EXTENSION_THUNDERBIRD=$(grep -oP ${regex} ${fichier} | grep -oP ${subregex})
	done <<<$(find "$DOSSIER_MOZILLA" -path \*extensions.json) 

	if [ "`find $DOSSIER_MOZILLA -name extensions -type d`" ] ; then
		ls `find $DOSSIER_MOZILLA -name extensions -type d` >> $FICHIER_TMP 2>&1
	else
		echo "Dossier d'extensions introuvable dans $DOSSIER_MOZILLA" >> $FICHIER_TMP 2>&1
	fi
fi
SOMMAIRE_VERSION_THUNDERBIRD=""
ThunderbirdFichier=`which thunderbird`
if [ -x $ThunderbirdFichier ]; then
	SOMMAIRE_VERSION_THUNDERBIRD=`thunderbird --version`
fi

########################################
# Opera
echo >> $FICHIER_TMP 2>&1
echo "----- Opera -----" >> $FICHIER_TMP 2>&1
DOSSIER_OPERA="${HOME}/.config/opera/"
SOMMAIRE_VERSION_EXTENSION_OPERA=""
SOMMAIRE_VERSION_OPERA=""
if [[ -n $DOSSIER_OPERA ]] ; then
	for dossier in $(find "$DOSSIER_OPERA" -name Extensions) ; do
		echo dossier = ${dossier} >> $FICHIER_TMP 2>&1


		for ID in "fgfdmjebifpgcgpfglcmpgnancpmpbnb"; do
			if [[ -e ${dossier}/${ID} ]]; then
					SOMMAIRE_VERSION_EXTENSION_OPERA=`ls ${dossier}/${ID}`
			fi
		done
	done


	SOMMAIRE_VERSION_OPERA=`opera --version`
fi

########################################
# Google Chrome
echo >> $FICHIER_TMP 2>&1
echo "----- Chrome -----" >> $FICHIER_TMP 2>&1

DOSSIER_CHROME=""
if [ -d "${HOME}/.config/google-chrome/Default" ] ; then
	DOSSIER_CHROME="${HOME}/.config/google-chrome"
fi

echo DOSSIER_CHROME = ${DOSSIER_CHROME} >> $FICHIER_TMP 2>&1

if [[ -n $DOSSIER_CHROME ]] ; then
	for dossier in $(find "$DOSSIER_CHROME" -name Extensions) ; do
		echo dossier = ${dossier} >> $FICHIER_TMP 2>&1


		for ID in "miogokbgkhkmdljbjlnlhhdblinpickg" "pfcgjlglddicjopgimohdcbmabacamll" "lbojggafdepnclikhiapkpinbfdhbdoi" "cchfigjcpjmclmmphipdkeocklpnjecm"; do
			if [[ -e ${dossier}/${ID} ]]; then
				for dossierExt in `ls ${dossier}/${ID}`
				do
					if [[ -e ${dossier}/${ID}/${dossierExt} ]]; then
						SOMMAIRE_VERSION_EXTENSION_CHROME=`python_JSON "${dossier}/${ID}/${dossierExt}/manifest.json" "version" "0"`
					fi
				done
			fi
		done

		# ListeFichiers "$dossier"

		# for lib in $(find "$dossier" -name lib*.so) ; do
		# 	echo $lib >> $FICHIER_TMP 2>&1
		# 	ldd $lib >> $FICHIER_TMP 2>&1
		# 	echo "-----" >> $FICHIER_TMP 2>&1
		# 	SOMMAIRE_VERSION_EXTENSION_CHROME=$(basename $(dirname "$lib"))
		# done
	done

	echo "Google Chrome NativeMessaging:">> $FICHIER_TMP 2>&1
	if [[ -e /etc/opt/chrome/native-messaging-hosts ]]; then
		echo "/etc/opt/chrome/native-messaging-hosts : " >> $FICHIER_TMP 2>&1
		ls -l /etc/opt/chrome/native-messaging-hosts >> $FICHIER_TMP 2>&1
	else
		echo "/etc/opt/chrome/native-messaging-hosts INTROUVABLE" >> $FICHIER_TMP 2>&1
	fi

	SOMMAIRE_VERSION_CHROME=`google-chrome --version`
fi

echo >> $FICHIER_TMP 2>&1
echo "----- Chromium (non-supporté) -----" >> $FICHIER_TMP 2>&1
#Chromium
DOSSIER_CHROMIUM=""
if [ -d "${HOME}/.config/chromium/Default" ] ; then
	DOSSIER_CHROMIUM="${HOME}/.config/chromium"
fi

echo DOSSIER_CHROMIUM = ${DOSSIER_CHROME} >> $FICHIER_TMP 2>&1

if [[ -n $DOSSIER_CHROMIUM ]] ; then
	for dossier in $(find "$DOSSIER_CHROME" -name Extensions) ; do
		echo dossier = ${dossier} >> $FICHIER_TMP 2>&1


		for ID in "miogokbgkhkmdljbjlnlhhdblinpickg" "pfcgjlglddicjopgimohdcbmabacamll" "lbojggafdepnclikhiapkpinbfdhbdoi" "cchfigjcpjmclmmphipdkeocklpnjecm"; do
			if [[ -e ${dossier}/${ID} ]]; then
				for dossierExt in `ls ${dossier}/${ID}`
				do
					if [[ -e ${dossier}/${ID}/${dossierExt} ]]; then
						SOMMAIRE_VERSION_EXTENSION_CHROMIUM=`python_JSON "${dossier}/${ID}/${dossierExt}/manifest.json" "version" "0"`
					fi
				done
			fi
		done


	done

	echo "Chromium NativeMessaging:">> $FICHIER_TMP 2>&1
	if [[ -e /etc/chromium/native-messaging-hosts/ ]]; then
		echo "/etc/chromium/native-messaging-hosts/ : " >> $FICHIER_TMP 2>&1
		ls -l /etc/chromium/native-messaging-hosts/ >> $FICHIER_TMP 2>&1
	else
		echo "/etc/chromium/native-messaging-hosts/ INTROUVABLE" >> $FICHIER_TMP 2>&1
	fi

	SOMMAIRE_VERSION_CHROMIUM=`chromium-browser --version`
fi


################################################################################
# Info sur le système
echo >> $FICHIER_TMP 2>&1
echo "**************************************** Autres ****************************************" >> $FICHIER_TMP 2>&1
echo "-----libwebp-----" >> $FICHIER_TMP 2>&1
ls -la /usr/lib/x86_64-linux-gnu/ | grep libwebp >> $FICHIER_TMP 2>&1

SOMMAIRE_AGENTANTIDOTECONSOLE=""
if [[ -e  /usr/bin/Druide/${ARCH}/AgentAntidoteConsole.bin  ]]; then
	SOMMAIRE_AGENTANTIDOTECONSOLE="(/usr/bin/Druide/${ARCH}/AgentAntidoteConsole.bin) "`/usr/bin/Druide/64/AgentAntidoteConsole.bin texteurFirefoxWS`
else
	SOMMAIRE_AGENTANTIDOTECONSOLE="(/usr/bin/Druide/${ARCH}/AgentAntidoteConsole.bin) : INTROUVABLE"
fi

SOMMAIRE_AGENTCONNECTIXCONSOLE=""
if [[ -e  /usr/local/bin/AgentConnectixConsole  ]]; then
	SOMMAIRE_AGENTCONNECTIXCONSOLE="(/usr/local/bin/AgentConnectixConsole) "`yes | /usr/local/bin/AgentConnectixConsole`
else
	SOMMAIRE_AGENTCONNECTIXCONSOLE="(/usr/local/bin/AgentConnectixConsole) : INTROUVABLE"
fi

########################################
########################################
########################################

echo >> "$FICHIER_SORTIE_TMP"
echo "**************************************** Sommaire ****************************************" >> "$FICHIER_SORTIE_TMP"
echo >> "$FICHIER_SORTIE_TMP"
echo "Architecture             : $SOMMAIRE_ARCHITECTURE" >> "$FICHIER_SORTIE_TMP"
echo "Distribution             : $SOMMAIRE_DISTRO1" >> "$FICHIER_SORTIE_TMP"
echo "                         : $SOMMAIRE_DISTRO2" >> "$FICHIER_SORTIE_TMP"
echo "Version Antidote         : $SOMMAIRE_VERSION_ANTIDOTE" >> "$FICHIER_SORTIE_TMP"
echo "Version Connectix        : $SOMMAIRE_VERSION_CONNECTIX" >> "$FICHIER_SORTIE_TMP"
echo "Version OpenOffice.org   : $SOMMAIRE_VERSION_OOO" >> "$FICHIER_SORTIE_TMP"
echo "Extension OpenOffice.org : $SOMMAIRE_VERSION_EXTENSION_OOO" >> "$FICHIER_SORTIE_TMP"
echo "Version Firefox          : $SOMMAIRE_VERSION_FIREFOX" >> "$FICHIER_SORTIE_TMP"
echo "Extension Firefox        : $SOMMAIRE_VERSION_EXTENSION_FIREFOX" >> "$FICHIER_SORTIE_TMP"
echo "Version Thunderbird      : $SOMMAIRE_VERSION_THUNDERBIRD" >> "$FICHIER_SORTIE_TMP"
echo "Extension Thunderbird    : $SOMMAIRE_VERSION_EXTENSION_THUNDERBIRD" >> "$FICHIER_SORTIE_TMP"
echo "Version Chrome           : $SOMMAIRE_VERSION_CHROME" >> "$FICHIER_SORTIE_TMP"
echo "Extension Chrome         : $SOMMAIRE_VERSION_EXTENSION_CHROME" >> "$FICHIER_SORTIE_TMP"
echo "Version Opera            : $SOMMAIRE_VERSION_OPERA" >> "$FICHIER_SORTIE_TMP"
echo "Extension Opera          : $SOMMAIRE_VERSION_EXTENSION_OPERA" >> "$FICHIER_SORTIE_TMP"
echo "AgentAntidoteConsole     : $SOMMAIRE_AGENTANTIDOTECONSOLE" >> "$FICHIER_SORTIE_TMP"
echo "AgentConnectixConsole    : $SOMMAIRE_AGENTCONNECTIXCONSOLE" >> "$FICHIER_SORTIE_TMP"
echo "--- non-supportées ---" >> "$FICHIER_SORTIE_TMP"
echo "Version Chromium         : $SOMMAIRE_VERSION_CHROMIUM" >> "$FICHIER_SORTIE_TMP"
echo "Extension Chromium       : $SOMMAIRE_VERSION_EXTENSION_CHROMIUM" >> "$FICHIER_SORTIE_TMP"
echo >> "$FICHIER_SORTIE_TMP"

cat $FICHIER_TMP >> "$FICHIER_SORTIE_TMP"

CONTENU="$FICHIER_SORTIE_TMP"
if [ `command -v tar` ] ; then
	CONTENU="$FICHIER_SORTIE_TMP $HOME/.antidote $HOME/.druide $HOME/.connectix"
	cp $HOME/.antidote/10.0/antidote.conf $HOME/.antidote/10.0/antidote.conf.bck >/dev/null 2>&1
	sed -i '/cleChiffrement=/c\cleChiffrement=Valeur présente' $HOME/.antidote/10.0/antidote.conf.bck >/dev/null 2>&1
	sed -i '/jetonCompte=/c\jetonCompte=Valeur présente' $HOME/.antidote/10.0/antidote.conf.bck >/dev/null 2>&1
	sed -i '/jetonNuage=/c\jetonNuage=Valeur présente' $HOME/.antidote/10.0/antidote.conf.bck >/dev/null 2>&1
	sed -i '/jetonAbonnement=/c\jetonAbonnement=Valeur présente' $HOME/.antidote/10.0/antidote.conf.bck >/dev/null 2>&1
	tar -cf "$FICHIER_SORTIE" $CONTENU >/dev/null 2>&1
	tar --delete --file="$FICHIER_SORTIE" ${HOME:1}/.antidote/10.0/antidote.conf >/dev/null 2>&1
	tar --delete --file="$FICHIER_SORTIE" ${HOME:1}/.antidote/CacheCorrecteur >/dev/null 2>&1
	if [ $DicoPersoInclus != 0 ]; then
		tar --wildcards --delete --file="$FICHIER_SORTIE" *.atq >/dev/null 2>&1
		tar --wildcards --delete --file="$FICHIER_SORTIE" *.xml >/dev/null 2>&1
		tar --delete --file="$FICHIER_SORTIE" ${HOME:1}/.antidote/Cumulix >/dev/null 2>&1
	fi
	if [ $DicoPersoInclus != 1 ]; then
		find "/var/crash" -name *druide*.crash -size -20M -exec tar -r --file="$FICHIER_SORTIE" {} + >/dev/null 2>&1
	fi
	tar --delete --file="$FICHIER_SORTIE" ${HOME:1}/.antidote/10.0/CopieDeSauvegarde >/dev/null 2>&1
	
	tar -zcf "$FICHIER_SORTIE".gz ResDruideInfos.tar -C "$CHEMIN_LOCAL" >/dev/null 2>&1
	
	rm -f "$FICHIER_SORTIE" >/dev/null 2>&1
else
	affiche_message_dans_locale "\${msgErreurCompressionFR}" "\${msgErreurCompressionEN}"
	exit 2
fi

rm -f "$FICHIER_SORTIE_TMP" $FICHIER_TMP*

affiche_message_dans_locale "\${msgFinRapportFR}" "\${msgFinRapportEN}"
